Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1049676 - [Docs] [Admin] remove rhevm- prefix from command-line utilities
Summary: [Docs] [Admin] remove rhevm- prefix from command-line utilities
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.3.1
Assignee: Andrew Dahms
QA Contact: Julie
URL:
Whiteboard:
Depends On: 997341 1053298 1055857 1059072
Blocks: 1042676 1049090
TreeView+ depends on / blocked
 
Reported: 2014-01-08 02:01 UTC by Andrew Dahms
Modified: 2014-07-28 03:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 997341
Environment:
Last Closed: 2014-07-28 03:35:58 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Andrew Dahms 2014-01-08 02:01:15 UTC
+++ This bug was initially created as a clone of Bug #997341 +++

Hello,

rhevm- prefix were the prefix of command-line utilities before the upstream ovirt-engine was introduced.

Then all utilities where renamed to engine- prefix while keeping backward compatibility using symlinks.

[BTW: the choice of engine- and not ovirt-engine- or ovirt- was probably not wise as it is too generic].

There is no reason to keep the legacy names within documentation, so please rename all references of rhevm- to engine- to use the upstream terms, so we can remove the rhevm- prefix in future.

Thanks,

--- Additional comment from Alon Bar-Lev on 2013-08-15 04:15:13 EDT ---

Now I can also see that the rhevm string is used as service, this is not true for a while... should be ovirt-engine.

--- Additional comment from Tim Hildred on 2013-10-27 20:04:03 EDT ---

Reassigning to Jodi Biddle (jbiddle@redhat.com) as I am no longer working on Red Hat Enterprise Virtualization documentation.

Comment 1 Andrew Dahms 2014-01-24 02:15:01 UTC
Documentation Link
------------------------------
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.3/html-single/Administration_Guide/index.html

What Changed
------------------------------
Changed all references to tools beginning with 'rhevm-' to 'engine-' in the following topics. The low number of affected topics in this guide is because the majority of topics in this guide where the prefix was changed also belong to the Installation Guide, and they are covered there via Bug #1042676.

Cluster Policy Settings Explained [ 7913-574168 ]

Populating the ISO Storage Domain [ 7637-573528 ]

Installing Windows on VirtIO-optimized Hardware [ 21952-574169 ]

KVM virtual machine timing management [ 8320-574171 ]

Considerations when Sealing a Windows Template with Sysprep [ 8774-574172 ]

Directory Services Support in Red Hat Enterprise Virtualization [ 9262-573516 ]

Configuring Red Hat Enterprise Virtualization Manager [ 7520-574193 ]

Restoring Red Hat Enterprise Virtualization Manager Configuration Files [ 7606-574194 ]

Red Hat Enterprise Virtualization Manager Firewall Requirements [ 7850-573518 ]

NVR
------------------------------
Red_Hat_Enterprise_Virtualization-Administration_Guide-3.3-en-US-3.3-41

Moving to ON_QA.

Comment 2 Julie 2014-07-28 03:35:58 UTC
No instances of commands starting with 'rhevm-' found in the current release.


Note You need to log in before you can comment on or make changes to this bug.